POST api/pcconfigapi/addMany?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "e5d0d408-0dd2-4f04-b952-c7e7a15c7b7c",
"key": "142501f6-cd85-4d4b-a121-5e71e8aa6b07",
"pc_id": "089cab12-e942-4c4c-9a32-0d1138917a54",
"value": "sample string 3"
},
{
"active": true,
"id": "e5d0d408-0dd2-4f04-b952-c7e7a15c7b7c",
"key": "142501f6-cd85-4d4b-a121-5e71e8aa6b07",
"pc_id": "089cab12-e942-4c4c-9a32-0d1138917a54",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>e5d0d408-0dd2-4f04-b952-c7e7a15c7b7c</id>
<key>142501f6-cd85-4d4b-a121-5e71e8aa6b07</key>
<pc_id>089cab12-e942-4c4c-9a32-0d1138917a54</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>e5d0d408-0dd2-4f04-b952-c7e7a15c7b7c</id>
<key>142501f6-cd85-4d4b-a121-5e71e8aa6b07</key>
<pc_id>089cab12-e942-4c4c-9a32-0d1138917a54</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.